#!/bin/sh

remove_icons()
{
    rm /usr/share/icons/varicad"$ADDON".xpm 2>/dev/null
    rm /usr/share/pixmaps/varicad"$ADDON".xpm 2>/dev/null
}

remove_wmconfig()
{  
    rm /etc/X11/wmconfig/varicad"$ADDON" 2>/dev/null
    rm /etc/X11/applnk/varicad"$ADDON".desktop 2>/dev/null
    rm /etc/X11/applnk/$MENU_GROUP/varicad"$ADDON".desktop 2>/dev/null
}

remove_gnome_entries()
{
    rm ${1}/pixmaps/varicad"$ADDON".xpm 2>/dev/null
    rm ${1}/apps/$MENU_GROUP/varicad"$ADDON".desktop 2>/dev/null
}

remove_kde_entries()
{

    DIR_HI=${1}/icons/hicolor
    rm $DIR_HI/48x48/apps/varicad"$ADDON".png 2>/dev/null
    rm $DIR_HI/32x32/apps/varicad"$ADDON".png 2>/dev/null
    rm $DIR_HI/22x22/apps/varicad"$ADDON".png 2>/dev/null
    DIR_LO=${1}/icons/locolor
    rm $DIR_LO/32x32/apps/varicad"$ADDON".png 2>/dev/null
    rm $DIR_LO/22x22/apps/varicad"$ADDON".png 2>/dev/null
    rm $DIR_LO/16x16/apps/varicad"$ADDON".png 2>/dev/null
    rm ${1}/applnk/$MENU_GROUP/varicad"$ADDON".desktop 2>/dev/null
    rm ${1}/applnk-mdk/$MENU_GROUP/varicad"$ADDON".desktop 2>/dev/null
}

remove_desktop_entries()
{

    DIR_HI=/usr/share/icons/hicolor
    rm $DIR_HI/48x48/apps/varicad"$ADDON".png 2>/dev/null
    rm $DIR_HI/32x32/apps/varicad"$ADDON".png 2>/dev/null
    rm $DIR_HI/22x22/apps/varicad"$ADDON".png 2>/dev/null
    DIR_LO=/usr/share/icons/locolor
    rm $DIR_LO/32x32/apps/varicad"$ADDON".png 2>/dev/null
    rm $DIR_LO/22x22/apps/varicad"$ADDON".png 2>/dev/null
    rm $DIR_LO/16x16/apps/varicad"$ADDON".png 2>/dev/null
    rm /usr/share/applications/varicad"$ADDON".desktop 2>/dev/null
    rm /usr/share/mimelnk/application/x-varicad"$ADDON".desktop 2>/dev/null
    update-desktop-database 2>/dev/null
    update-mime-database 2>/dev/null
}

update_mandrake_menu()
{
    if test -x /usr/bin/update-menus; then

	rm /usr/lib/menu/varicad 2>/dev/null
	rm /usr/share/icons/varicad"$ADDON".png 2>/dev/null
	rm /usr/share/icons/mini/varicad"$ADDON".png 2>/dev/null
	rm /usr/share/icons/large/varicad"$ADDON".png 2>/dev/null

	/usr/bin/update-menus || true
    fi
}

  ADDON=""
  if test -f varicadview.xpm ; then
    ADDON="view"
  fi
  MENU_GROUP=Graphics

  remove_icons
  remove_wmconfig
  remove_gnome_entries /opt/gnome/share
  remove_gnome_entries /usr/share/gnome
  remove_kde_entries /opt/kde2/share
  remove_kde_entries /opt/kde3/share
  remove_kde_entries /usr/share
  remove_desktop_entries
  update_mandrake_menu
